#version 410


#pragma include "vertex.glsl"
#pragma include "spect.glsl"
#pragma include "effects.glsl"


#define Q0 0.0
#define Q1 HALF_PI
#define Q2 PI
#define Q3 3.0 * HALF_PI


void main() {
    BEGIN;

    vertPosition = p3d_Vertex;

//    vertPosition.xyz *= 100.;
//    vertPosition.y += -50000.;
//    vertPosition.z += -6000.;

//    vertPosition.x += +0.0;
//    vertPosition.y += +0.0;
//    vertPosition.z += -0.0;

//    vertPosition.xyz *= 200.;


    vertColor = p3d_Color;

//    neg = 0.0;

//    vertPosition.xyz = effect.position;
//    vertColor = effect.color;
//    vertColor = vec4(1.0, 1.0, 1.0, 1.0);

    END_TRIANGLE;

    // Transform the vertex position by the Model-View matrix
    vertNormal = normalize(p3d_NormalMatrix * p3d_Normal);
    tangent = normalize(p3d_NormalMatrix * p3d_Tangent);
//    binormal = normalize(p3d_NormalMatrix * p3d_Binormal);
    binormal = cross(vertNormal, tangent);
}
